Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| For the latest news and information visit The GNU Crypto project
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gnu.crypto.keyring
Class PublicKeyEntry

    java.lang.Object
      |
      +--gnu.crypto.keyring.Entry
            |
            +--gnu.crypto.keyring.PrimitiveEntry
                  |
                  +--gnu.crypto.keyring.PublicKeyEntry

public final class PublicKeyEntry
extends PrimitiveEntry

Field Summary
`static int` | `TYPE`

Fields inherited from class gnu.crypto.keyring.PrimitiveEntry
`creationDate`

Fields inherited from class gnu.crypto.keyring.Entry
`payload, properties, type`

Constructor Summary
`PublicKeyEntry(java.security.PublicKey key, java.util.Date creationDate, Properties properties)`

Method Summary
`static PublicKeyEntry` | `decode(java.io.DataInputStream in)`
`protected void` | `encodePayload()` This method is called of subclasses when the payload data needs to be created.
`java.security.PublicKey` | `getKey()` Returns the public key.

Methods inherited from class gnu.crypto.keyring.PrimitiveEntry
`equals, getAlias, getCreationDate, makeCreationDate`

Methods inherited from class gnu.crypto.keyring.Entry
`defaultDecode, encode, getPayload, getProperties`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TYPE

    public static final int TYPE

See Also:
  Constant Field Values

Constructor Detail

### PublicKeyEntry

    public PublicKeyEntry(java.security.PublicKey key,
                          java.util.Date creationDate,
                          Properties properties)

Method Detail

### decode

    public static PublicKeyEntry decode(java.io.DataInputStream in)
                                 throws java.io.IOException

    `java.io.IOException`

### getKey

    public java.security.PublicKey getKey()

  Returns the public key.

  Returns:
    The public key.

### encodePayload

    protected void encodePayload()
                          throws java.io.IOException

  Description copied from class: `Entry`
  This method is called of subclasses when the payload data needs to be created.

  Specified by:
    `encodePayload` in class `Entry`
  Throws:
    `java.io.IOException` - If an encoding error occurs.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| For the latest news and information visit The GNU Crypto project
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001, 2002, 2003, 2004 Free Software Foundation, Inc.